#pragma once

#include "V3.h"

class PPC;
class FrameBuffer;

class TM {
public:
	V3 *verts;
	int vertsN;
	V3 *cols;
	unsigned int *tris;
	int trisN;
	TM() : verts(0), vertsN(0), tris(0), trisN(0) {};
	void SetAsAACube(V3 cc, float sideLength);
	void LoadBin(char *fname);
	void RenderAsPoints(int psize, PPC *ppc, FrameBuffer *fb);
	void RenderWireFrame(PPC *ppc, FrameBuffer *fb);
};